Package com.github.lgooddatepicker.durationpicker_underconstruction

# Class DurationConverter

java.lang.Object
com.github.lgooddatepicker.durationpicker_underconstruction.DurationConverter

public class DurationConverter extends Object

## Constructor Summary

Constructors
Constructor
Description
`DurationConverter()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`convertStringFromDuration(Duration duration, DurationConverterSettings settings)`
This function will return an empty string if the duration is null or less than zero.
`static Duration`
`convertStringToDuration(String text, DurationConverterSettings settings)`
Note: This function will return null if the string cannot be parsed for any reason.
`static void`
`main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DurationConverter

public DurationConverter()

## Method Details

### convertStringToDuration

public static Duration convertStringToDuration(String text, DurationConverterSettings settings)
Note: This function will return null if the string cannot be parsed for any reason.

### convertStringFromDuration

public static String convertStringFromDuration(Duration duration, DurationConverterSettings settings)
This function will return an empty string if the duration is null or less than zero. This function will never return null.

### main

public static void main(String[] args)